package scenario

import (
	"context"
	"gopkg.in/yaml.v2"
	"os"
)

func New(ctx context.Context, file string) (*Object, error) {
	var obj Object
	yamlFile, err := os.ReadFile(file)
	if err != nil {
		return nil, err
	}

	err = yaml.Unmarshal(yamlFile, &obj)
	if err != nil {
		return nil, err
	}
	return &obj, nil
}
